Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665992 - net-mail/dovecot: Validate DEPEND on virtual/mysql
Summary: net-mail/dovecot: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Eray Aslan
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:34 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:34:11 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-03-07 10:09:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4355c71ea353b162f2048ebdab13c319e3eddf3

commit b4355c71ea353b162f2048ebdab13c319e3eddf3
Author:     Eray Aslan <eras@gentoo.org>
AuthorDate: 2019-03-07 10:09:23 +0000
Commit:     Eray Aslan <eras@gentoo.org>
CommitDate: 2019-03-07 10:09:23 +0000

    net-mail/dovecot: bump to 2.3.5
    
    Closes: https://bugs.gentoo.org/665992
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Eray Aslan <eras@gentoo.org>

 net-mail/dovecot/Manifest             |   2 +
 net-mail/dovecot/dovecot-2.3.5.ebuild | 294 ++++++++++++++++++++++++++++++++++
 2 files changed, 296 insertions(+)